#
# spec file for package libgnomeprintui
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libgnomeprintui
#
Version:        2.18.6
Release:        lp150.2.1
Summary:        User Interface Part of the GNOME Printing Library
License:        GPL-2.0-or-later AND LGPL-2.1-or-later
Group:          Development/Libraries/GNOME
Source:         %{name}-%{version}.tar.bz2
Source99:       baselibs.conf
Patch0:         add-printer.patch
# PATCH-FIX-UPSTREAM libgnomeprintui-no-g-i_t.patch dimstar@opensuse.org -- Do not depend on gnome-icon-theme, as it's deprecated.
Patch1:         libgnomeprintui-no-g-i_t.patch
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  libglade2-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  libgnomeprint-devel
BuildRequires:  translation-update-upstream
Requires:       libgnomecups >= 0.2.0
Requires:       libgnomeprint >= 2.10.0
Requires:       libgnomesu
Recommends:     %{name}-lang

%description
This library contains all user-interface related functions to the GNOME
printing subsystem.

%package devel
Summary:        Development files for libgnomeprintui
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Requires:       libgnomecanvas-devel
Requires:       libgnomeprint-devel >= 2.10.0
#

%description devel
This subpackage contains the header files for developing
applications that want to make use of libgnomeprintui.

%package doc
Summary:        Documentation for libgnomeprintui
Group:          Development/Libraries/GNOME
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description doc
This package contains documentation for the the user-facing parts of
the GNOME 2.x printing library, which provide a simple and clean API
for GNOME programs that have to print documents.

%lang_package

%prep
%setup -q
translation-update-upstream
%patch0 -p1
%patch1 -p1

%build
%configure \
	--disable-static\
	--enable-gtk-doc=no
make %{?_smp_mflags}

%install
%make_install
%if 0%{?suse_version} <= 1110
rm %{buildroot}/%{_datadir}/locale/la/LC_MESSAGES/*
%endif
%if 0%{?suse_version} <= 1120
rm %{buildroot}/%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%find_lang %{name}-2.2
find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}/%{_prefix}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc AUTHORS README NEWS ChangeLog
%{_datadir}/libgnomeprintui
%{_libdir}/*.so.*

%files lang -f %{name}-2.2.lang

%files devel
%{_includedir}/libgnomeprintui-2.2
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgnomeprintui-2.2.pc

%files doc
%doc %{_datadir}/gtk-doc/html/*

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Fri Sep  8 2017 jengelh@inai.de
- Update old boilerplate summaries and macros/constructs.
  fdupes must not run across hardlink locations.
* Tue Aug 15 2017 zaitor@opensuse.org
- Drop gtk-doc BuildRequires and pass --enable-gtk-doc=no to
  configure, needed with gtk-doc 1.26 and newer.
* Sun Jul 13 2014 dimstar@opensuse.org
- Drop gnome-icon-theme-devel BuildRequires: not required.
- Add libgnomeprintui-no-g-i_t.patch: Do not check for the presence
  of gnome-icon-theme during build.
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Sun Feb 27 2011 aj@suse.de
- Change lang package Requires to Recommends since it is not
  mandatory at runtime.
* Tue Sep 28 2010 vuntz@opensuse.org
- Update to version 2.18.6:
  + Updated translations.
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 2.18.5:
  + Updated translations.
- Remove en@shaw translations on 11.2 and earlier.
* Fri Dec 18 2009 jengelh@medozas.de
- Add baselibs.conf as a source
- Package documentation as noarch
* Wed Dec  2 2009 vuntz@opensuse.org
- Update the way we remove the la locale for old versions of
  openSUSE.
* Mon Mar 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Mon Mar  9 2009 vuntz@novell.com
- Exclude locale files for la for openSUSE <= 11.1.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.18.4:
  + Make this work with deprecations and single includes in
    glib/gtk+
  + Updated translations
- Remove AutoReqProv: it's default now.
- Remove unneeded BuildRequires: gnome-common, sgml-skel
- Remove unneeded call to autoreconf.
* Sat Feb 28 2009 crrodriguez@suse.de
- remove all libtool "la" files
- fix -devel package dependencies
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Tue Sep 23 2008 maw@suse.de
- Update to version 2.18.3:
  + Fix build against recent versions of gtk2
  + Updated translations.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Mon Feb 18 2008 maw@suse.de
- Update to version 2.18.2:
  + Fix a crash observed in gedit
  + Remove unneded popt usage
  + Misc. cleanups.
* Tue Sep 18 2007 sbrabec@suse.cz
- Updated to version 2.18.1:
  * L10N fixes
  * Updated translations
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Fri Mar 23 2007 maw@suse.de
- Update to version 2.18.0
- Don't delete the po/no.* stuff anymore.
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Mon Jan  8 2007 sbrabec@suse.cz
- More spec file cleanups.
* Thu Dec 14 2006 maw@suse.de
- Move to /usr
- Clean up specfile a bit.
* Sun Feb 12 2006 ro@suse.de
- added libgnomeui-devel to Requires of devel package
* Sun Jan 29 2006 aj@suse.de
- Fix BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 11 2005 gekker@suse.de
- Update to version 2.12.1
- Fix crashes in print dialogs (#118797)
* Tue Sep  6 2005 gekker@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Tue Aug 16 2005 sbrabec@suse.cz
- Use gnomesu instead of kdesu.
* Fri Jun 24 2005 ro@suse.de
- added directories to filelist
* Wed Jun 22 2005 gekker@suse.de
- Update to version 2.11.0
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Mon Mar 28 2005 gekker@suse.de
- Fix Requires for libgnomeprintui-devel (9124).
* Wed Mar 23 2005 jody@suse.de
- upstream 2.10.2 to sync with libgnomeprint
- only display Duplex when available
* Wed Mar 16 2005 jody@suse.de
- upstream 2.10.1 to fix leak, and put Printer tab first
* Wed Mar  9 2005 clahey@suse.de
- update to 2.10.0.1
* Tue Jan 18 2005 clahey@suse.de
- Updated to 2.8.2.
* Fri Nov 19 2004 ro@suse.de
- removed extra aclocal include directive
* Mon Oct 25 2004 ro@suse.de
- locale rename: no -> nb
* Tue Oct 12 2004 sbrabec@suse.cz
- Removed openssl from build requirements.
* Mon Oct  4 2004 jody@suse.de
- Add an 'add printer' button #59414
* Mon Sep 13 2004 jody@suse.de
- updated to 2.8.0
- Convert the printer selector to list printers and jobs
- update printers on the fly in the ui
* Sat Jul 31 2004 jody@suse.de
- updated to 2.7.1
* Tue Jun 22 2004 jody@suse.de
- Updated to version 2.6.2
- Merged in an updated printer icon list
* Tue Apr 27 2004 sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Wed Mar 31 2004 jody@suse.de
- Fix the printer display patch (SuSE Bug Id#36817)
- Fix some compiler warnings
- Fix the copies and collation fields
* Fri Feb 27 2004 hhetter@suse.de
- updated to version 2.5.3, better cups interaction
- applied patch: display printers as icon list
* Tue Jan 20 2004 hhetter@suse.de
- updated to version 2.4.2
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed Oct  8 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Wed Jul 23 2003 hhetter@suse.de
- fix typo
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 26 2003 sbrabec@suse.cz
- Updated to version 2.2.1.3.
* Tue Jun 24 2003 sbrabec@suse.cz
- Updated to version 2.2.1.2.
- Use %%find_lang.
- Prefix clash fix (gtk-doc).
- Branched libgnomeprintui-doc.
* Sun Jun  1 2003 ro@suse.de
- include devel docs to devel subpackage
* Thu Feb  6 2003 hhetter@suse.de
- updated to version 2.2.1.1 [GNOME 2.2.0]
* Tue Jan 28 2003 hhetter@suse.de
- updated to version 2.2.1
* Wed Jan 15 2003 hhetter@suse.de
- build with #neededforbuild expat
- updated to version 2.1.8
- filelist fix
* Thu Oct 31 2002 hhetter@suse.de
- udpated to version 1.116.0
* Thu Oct 24 2002 hhetter@suse.de
- use "-c" with automake (Bug Id#21066)
* Sun Aug 11 2002 ro@suse.de
- hack to build with new automake
* Fri Aug  9 2002 hhetter@suse.de
- add openssl to neededforbuild
* Thu Jun 20 2002 ro@suse.de
- use "-a -f" for automake
* Tue Jun 11 2002 hhetter@suse.de
- updated to version 1.115.0
* Wed May 15 2002 ro@suse.de
- use libdir
* Wed Apr 10 2002 hhetter@suse.de
- build fixes
- updates to version 1.112.0 [gnome desktop beta3]
* Fri Feb  1 2002 hhetter@suse.de
- updated to version 1.110.0 [gnome desktop alpha2]
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Jan 18 2002 hhetter@suse.de
- prefix to /opt/gnome2
* Tue Jan 15 2002 hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
